import React, {Component} from 'react'
import { is, fromJS } from 'immutable'
import PropTypes from 'prop-types'

import { mobOptions } from './option'
import SourceWrap from './dragsource'
import './index.scss'

class CardChart extends Component {
  static propTpyes = {
    appType: PropTypes.string  // 应用类型
  }

  state = {}

  shouldComponentUpdate (nextProps, nextState) {
    return !is(fromJS(this.props), fromJS(nextProps)) || !is(fromJS(this.state), fromJS(nextState))
  }

  render() {
    return (
      <div className="mob-card-source-box">
        {mobOptions.map((item, index) => (
          <div key={index}>
            <p>{item.title}</p>
            {item.options.map((cell, i) => (<SourceWrap key={i} content={cell} />))}
          </div>
        ))}
      </div>
    )
  }
}

export default CardChart